Get an issue by ID
curl --request GET \
--url https://restapi.deepdub.ai/api/v1/issues/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://restapi.deepdub.ai/api/v1/issues/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://restapi.deepdub.ai/api/v1/issues/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "iss_12345abcde",
"state": "open",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"generationId": "<string>",
"generatedText": "<string>",
"problemWord": "<string>",
"voicePromptId": "<string>",
"additionalComments": "<string>",
"problemSeconds": 123
}{
"message": "Unauthorized"
}{
"message": "Issue not found"
}{
"message": "Failed to fetch issue"
}Issues
Get an issue by ID
Retrieve an issue by its ID, including its current state (e.g., open, in progress, resolved).
GET
/
issues
/
{id}
Get an issue by ID
Authorizations
API key for authentication. Must start with dd- prefix.
Headers
API Key
Path Parameters
Issue ID returned by POST /issues
Response
Issue details
Issue details
⌘I
